DISPLAY_RATE_MATRIX(1)

NAME
display_rate_matrix - this tool is part of the PHAST suite

OPTIONS

-t <t>: Output P(t) = exp(Qt) instead of Q.
    Requires t >= 0.

    Use "-t A" to output a matrix for each branch of the tree.

-f: Show equilibrium frequencies as an additional table row. In list node they are shown with first tuple being -.

-e: Show "exchangeabilities" instead of raw matrix elements (that is, divide each element by the equilibrium frequency of its column). Not available with -t.

-d: Suppress printing of elements on main diagonal.

-L: Format table for typesetting with LATEX. Incompatible with -l.

-l: Show matrix elements as a list rather than as a table. When -t is not specified (rate matrix case), only off-diagonal elements will be printed.

-i: (For use with -l only) Report whether each substitution is a transition or a transversion.

-z: (For use with -l) Report elements equal to zero (omitted by default, except with -t). Implied by -a.

-S: (For use with -l) Assume a symmetric matrix and report half as many lines. Useful with -e.

-E: (for use with -l) Print rates and probabilities in scientific notation (format %e instead of %f).

-a: (Requires a model of order 3). Replace a matrix of codon substitution rates with the induced matrix of amino acid substitution rates, according to the universal genetic code. See Yang, Nielsen, and Hasegawa, 1998.

-s: (For use with -a) Include stop codons (by default suppressed).

-M <f>: (For use with -l only; implies -a) Read an amino-acid

    substitution matrix from file <f> and report values from this matrix with the induced amino acid substitution rates. Matrix should be in the format used by BLAST (as produced by the NCBI "pam" program)

-N <f>
    Like -M but for matrices in the format used by the PAML package for amino acid substitution and rate matrices.

-A <f>: (For use with -l only and not with -M/-N)
    Read alternative

    substitution scores from file <f> and report values in output. File <f> should have three columns: a "from" tuple, a "to" tuple, and a real-valued score. Substitutions not listed will be given null scores and reported as "NA".

-B <f>
    Like -A but compares to rates of a single-nucleotide model (order 1). File <f> should be a standard tree model (.mod) file.

-C  Report context-dependent transition/transversion rates, as shown in Tables 2 and 3 of Morton et al., JME 45:227-231, 1997. Requires a model of order 3 with a DNA alphabet.

-h  Print this help message.